/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2016 fortiss GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.spiderchart.model;

import static java.util.Objects.requireNonNull;

/**
 * Base class for different axis implementations.
 * 
 * @author hoelzl
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating GREEN Hash: 8E07C54D78366C5F7EC029D2B4D72CC5
 */
public abstract class AxisBase {
	/** The name of the axis. */
	private final String name;

	/** Constructor. */
	public AxisBase(String name) {
		this.name = requireNonNull(name);
	}

	/** Returns name. */
	public final String getName() {
		return name;
	}

	/** Returns whether the given value is between minimum and maximum of this axis. */
	public abstract boolean isValidValue(Object d);
}
