/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2016 fortiss GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.spiderchart.style;

import org.eclipse.swt.graphics.Color;
import org.eclipse.swt.graphics.RGB;
import org.fortiss.tooling.spiderchart.util.RGBColorUtils;

/**
 * Base class for styles with a single {@link RGB} color.
 * 
 * @author hoelzl
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating GREEN Hash: 8D1947101EBAB962D8A924FEEA0964AA
 */
public abstract class ColorStyleBase {
	/** The RGB color. */
	private final RGB rgbColor;

	/** Constructor. */
	public ColorStyleBase(RGB rgbColor) {
		this.rgbColor = rgbColor;
	}

	/** Returns the RGB color. */
	public final RGB getRGBColor() {
		return rgbColor;
	}

	/** Creates the Color instance, which MUST be disposed after use. */
	public final Color createSWTColor() {
		return RGBColorUtils.createSWTColor(rgbColor);
	}
}
