/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2016 fortiss GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.spiderchart.util;

import org.eclipse.swt.graphics.Point;
import org.fortiss.tooling.spiderchart.model.DoubleAxis;
import org.fortiss.tooling.spiderchart.style.AxisStyle;

/**
 * Utility methods related to {@link DoubleAxis} and {@link AxisStyle}.
 * 
 * @author hoelzl
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating GREEN Hash: 394A81CE42BB8CD5A1723C97ECE56B2E
 */
public class AxisUtils {
	/** Returns the segment point on the axis if the the axis displayed with the given extents. */
	public static Point
			getSegmentPoint(int numberOfSegments, int segment, int extentX, int extentY) {
		int segmentX = extentX / numberOfSegments;
		int segmentY = extentY / numberOfSegments;
		return new Point(segmentX * segment, segmentY * segment);
	}

	/** Returns the segment point on the axis if the the axis displayed with the given extents. */
	public static Point getSegmentPoint(AxisStyle style, int segment, Point extent) {
		return getSegmentPoint(style.getSegments(), segment, extent.x, extent.y);
	}
}
